groovy.ui.text

## Class StructuredSyntaxDocumentFilter

- java.lang.Object
- - javax.swing.text.DocumentFilter
  - - groovy.ui.text.StructuredSyntaxDocumentFilter

- Direct Known Subclasses:
    GroovyFilter

  Deprecated.

      @Deprecated
      public class StructuredSyntaxDocumentFilter
      extends DocumentFilter

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `StructuredSyntaxDocumentFilter.LexerNode` Deprecated.
    `protected class` | `StructuredSyntaxDocumentFilter.MultiLineRun` Deprecated.

    - ### Nested classes/interfaces inherited from class javax.swing.text.DocumentFilter

      `DocumentFilter.FilterBypass`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected StructuredSyntaxDocumentFilter.LexerNode` | `lexer` Deprecated. The root of the lexical parsing tree.
    `protected SortedSet` | `mlTextRunSet` Deprecated. The position tree of multi-line comments.
    `protected DefaultStyledDocument` | `styledDocument` Deprecated.
    `static String` | `TAB_REPLACEMENT` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StructuredSyntaxDocumentFilter(DefaultStyledDocument document)` Deprecated. Creates a new instance of StructuredSyntaxDocumentFilter

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `StructuredSyntaxDocumentFilter.LexerNode` | `createLexerNode()` Deprecated. Create a new LexerNode for adding to root.
    `StructuredSyntaxDocumentFilter.LexerNode` | `getRootNode()` Deprecated. Get the root node for lexing the document.
    `void` | `insertString(DocumentFilter.FilterBypass fb, int offset, String text, AttributeSet attrs)` Deprecated. Insert a string into the document, and then parse it if the parser has been set.
    `protected void` | `parseDocument(int offset, int length)` Deprecated. Parse the Document to update the character styles given an initial start position.
    `void` | `remove(DocumentFilter.FilterBypass fb, int offset, int length)` Deprecated. Remove a string from the document, and then parse it if the parser has been set.
    `void` | `replace(DocumentFilter.FilterBypass fb, int offset, int length, String text, AttributeSet attrs)` Deprecated. Replace a string in the document, and then parse it if the parser has been set.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAB_REPLACEMENT

          public static final String TAB_REPLACEMENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### lexer

          protected StructuredSyntaxDocumentFilter.LexerNode lexer

      Deprecated.
      The root of the lexical parsing tree.

    - #### styledDocument

          protected DefaultStyledDocument styledDocument

      Deprecated.

    - #### mlTextRunSet

          protected SortedSet mlTextRunSet

      Deprecated.
      The position tree of multi-line comments.

  - ### Constructor Detail

    - #### StructuredSyntaxDocumentFilter

          public StructuredSyntaxDocumentFilter(DefaultStyledDocument document)

      Deprecated.
      Creates a new instance of StructuredSyntaxDocumentFilter
      Parameters:
        `document` - the styled document to parse

  - ### Method Detail

    - #### createLexerNode

          public StructuredSyntaxDocumentFilter.LexerNode createLexerNode()

      Deprecated.
      Create a new LexerNode for adding to root.
      Returns:
        a new LexerNode

    - #### getRootNode

          public StructuredSyntaxDocumentFilter.LexerNode getRootNode()

      Deprecated.
      Get the root node for lexing the document. Children can be added such that matching patterns can be further parsed if required.
      Returns:
        the root lexing node.

    - #### insertString

          public void insertString(DocumentFilter.FilterBypass fb,
                                   int offset,
                                   String text,
                                   AttributeSet attrs)
                            throws BadLocationException

      Deprecated.
      Insert a string into the document, and then parse it if the parser has been set.
      Overrides:
        `insertString` in class `DocumentFilter`
      Parameters:
        `fb` -
        `offset` -
        `text` -
        `attrs` -
      Throws:
        `BadLocationException`

    - #### parseDocument

          protected void parseDocument(int offset,
                                       int length)
                                throws BadLocationException

      Deprecated.
      Parse the Document to update the character styles given an initial start position. Called by the filter after it has updated the text.
      Parameters:
        `offset` -
        `length` -
      Throws:
        `BadLocationException`

    - #### remove

          public void remove(DocumentFilter.FilterBypass fb,
                             int offset,
                             int length)
                      throws BadLocationException

      Deprecated.
      Remove a string from the document, and then parse it if the parser has been set.
      Overrides:
        `remove` in class `DocumentFilter`
      Parameters:
        `fb` -
        `offset` -
        `length` -
      Throws:
        `BadLocationException`

    - #### replace

          public void replace(DocumentFilter.FilterBypass fb,
                              int offset,
                              int length,
                              String text,
                              AttributeSet attrs)
                       throws BadLocationException

      Deprecated.
      Replace a string in the document, and then parse it if the parser has been set.
      Overrides:
        `replace` in class `DocumentFilter`
      Parameters:
        `fb` -
        `offset` -
        `length` -
        `text` -
        `attrs` -
      Throws:
        `BadLocationException`